'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _minimist = require('minimist');

var _minimist2 = _interopRequireDefault(_minimist);

var _lodashArrayUniq = require('lodash/array/uniq');

var _lodashArrayUniq2 = _interopRequireDefault(_lodashArrayUniq);

var _ = require('./');

var _2 = _interopRequireDefault(_);

var _packageJson = require('../package.json');

var _packageJson2 = _interopRequireDefault(_packageJson);

var help = '\n  Usage:\n    crack <options>\n  Options:\n    -p, --paths  <paths>  Overwrite checkout paths\n    -s, --silent          Suppress \'npm test\' output\n    -v, --version         Output the current version\n    -h, --help            Output this help info\n';

exports['default'] = function (argv) {
  var args = (0, _minimist2['default'])(argv, {
    string: ['paths'],
    booleans: ['silent', 'help', 'version'],
    alias: {
      p: 'paths',
      s: 'silent',
      h: 'help',
      v: 'version'
    }
  });
  if (args.help) return console.log(help);
  if (args.version) return console.log(_packageJson2['default'].version);
  (0, _2['default'])({
    paths: args.paths ? (0, _lodashArrayUniq2['default'])(args.paths.split(/ *, */)) : null,
    silent: !!args.silent
  }, function (err) {
    if (err) {
      console.error(err);
      process.exit(1);
    }

    console.log('No undeclared Breaking Change.');
  });
};

module.exports = exports['default'];